<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->
  <title>Adding Directory Entries</title>
</head>
<body>
<h1>
<a name="adding"></a>Adding Entries</h1>
You can add new entries to the directory
using the Directory Server interface. To add
entries, your Directory Server administrator must have granted you the
right
to do so. Before you can add an entry, you must <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
to the Directory Server.
<p>Using the Directory Server interface you can add:
</p>
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#person">a
person</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#NTperson">an
NT person</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#group">a
group</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#NTgroup">an
NT group</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#ou">an
organizational unit</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#dc">a
domain</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#o">an
organization</a></li>
</ul>
Before you add an entry for the first time, read the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#guidelines">New
Entry Guidelines</a> section for important information about the
directory
tree structure and naming conventions.
<h2><a name="guidelines"></a>New Entry Guidelines</h2>
Before you begin adding entries to the directory, make sure that you
understand
the following directory concepts:
<ul>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#tree">directory
tree structure</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#DN">distinguished
name syntax</a></li>
  <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/add.htm#uniqueDN">unique
distinguished names</a></li>
</ul>
<h3>
<a name="tree"></a>Directory Tree Structure</h3>
Data in the directory is arranged in a tree hierarchy. The top of the
tree
is known as the root or suffix. The root entry usually represents the
organization entry for the directory.
<blockquote><b>Note:</b>
  <p>Although your directory may contain more than one suffix, the
directory
server interface only allows you to search for, add, and edit entries
in
a single suffix. Make sure that you know which suffix your Directory
Server
interface is supporting before adding new entries. </p>
</blockquote>
<p>Below the root are branches of the tree, which usually represent
organizational
units such as marketing or accounting. Entries for people and resources
within your organization are usually contained below these
organizational
unit branches within the directory tree structure.
</p>
<p>When you add an entry, make sure that an entry representing a branch
point is created before new entries are created under that branch. For
example, if you want to place entries in a Marketing subtree and in an
Accounting subtree, then create the branch point for those subtrees
before
creating entries within the subtrees:
</p>
<pre>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; o=Example.com<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ou=Marketing, o=Example.com<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ...<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <i>Marketing subtree entries</i>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ...
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ou=Accounting, o=Example.com
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ...
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <i>Accounting subtree entries</i>
</pre>
<h3>
<a name="DN"></a>Distinguished Name Syntax</h3>
An entry is uniquely identified within the Directory Server through the
use of a distinguished name (DN). A DN identifies the entry by using a
series of comma-separated attributes and attribute values. The
left-most
value in the DN represents the entry's name, with each subsequent
attribute representing a branch point above the entry. For example:
<pre>uid=bjensen, ou=people, o=example.com</pre>
This DN represents the entry named <i>bjensen</i> in the subdirectory
named
<i>people</i> in the directory named <i>example.com</i>.
<p>When you add a new entry to the Directory Server, you are prompted
to enter the complete distinguished name.
</p>
<h3><a name="uniqueDN"></a>Unique Distinguished Names</h3>
The Directory Server interface does not allow you to create a duplicate
entry. To avoid naming duplications, use distinguished names that begin
with the person's user ID (uid) rather than the person's common name
(CN).
Choose user IDs that are readable; that is,
do not use a random collection of letters and numbers for
user IDs. If your enterprise already has an email system, one
possibility
would be to use the left-most value of each person's email address as
that
person's user ID. For example, if a person has the email address:
<p>bjensen@example.com
</p>
<p>then give that person's directory entry the following DN:
</p>
<p>uid=bjensen, o=example.com
</p>
<h2><a name="person"></a>Adding a Person</h2>
To add a new person entry, do the following:
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the Back button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>When you add a person to the directory, a form that
allows you to edit that person's data is displayed. This form is
displayed in
a new web browser window. You must supply values for the required
fields.
The required fields for a person are:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Full
Name</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#sn">Last
Name</a></li>
  </ul>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for a person are:</li>
&nbsp;
  <p></p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#givenName">First
Name</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mail">Email
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#facsimileTelephoneNumber">Fax</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#uid">User
ID</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#pager">Pager</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mobile">Mobile
Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#title">Title</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#ou">Organizational
Unit</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#manager">Manager</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#roomNumber">Room
Number&nbsp;</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#secretary">Admin&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#departmentNumber">Dept#&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#employeeNumber">Emp#</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#carLicense">Car
License#&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#labeledUri">URL&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userPassword">Password</a>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <blockquote><b>Note:</b>
    <p>You cannot enter values into the Manager, Admin,
or See Also fields until you have saved the entry. Furthermore,
changing uid in the New Entry screen will result in a multi-valued uid
with the value selected in the first screen as the naming component.</p>
  </blockquote>
  <li>To cancel the entry creation, close the web browser window
containing
the form. When you are done filling in the form, click the Save New
Person button at the top of the form.</li>
  <li>After saving the entry, you can <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addmanager">add
values
to the Manager and Admin fields</a> or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
a See Also value</a>.</li>
</ol>
<h2>
<a name="NTperson"></a>Adding an NT Person</h2>
When creating an NT-person entry, make sure that the subtree
in which you place the entry is the same subtree that the
synchronization service
uses to synchronize entries. If you place an NT-person entry into
another
location, it is not synchronized with the Windows network.
<p>To add a new NT-person entry, do the following:
</p>
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the Back button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>When you add an NT-person to the directory, a form that allows
you to
edit that person's data is displayed. This form is displayed
in a new web browser window. You must supply values for the required
fields.
The required fields for an NT-person are:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Full
Name</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#sn">Last
Name</a></li>
    <li><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#uid">NT
User ID</a></li>
  </ul>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for a person are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#givenName">First
Name</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mail">Email
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userPassword">Directory
Server Password</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#pager">Pager</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#mobile">Mobile
Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#title">Title</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#organizationalUnitName">Organizational
Unit</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#manager">Manager</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#roomNumber">Room
Number</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#secretary">Admin&nbsp;</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#departmentNumber">Dept#</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#employeeNumber">Emp#</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#carLicense">Car
License#</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#labeledURI">URL</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#userid">User
Id</a></td>
      </tr>
    </tbody>
  </table>
  </center>
  <blockquote><b>Note:</b>
    <p>You cannot enter values into the Manager, Admin,
or See Also fields until you have saved the entry. </p>
  </blockquote>
  <li>You can also change the value for the following two options:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#NTUserDelete">Delete
NT Account if Person deleted</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#NTUserCreateNewAccount">Create
New NT Account</a></li>
  </ul>
The default value is shown. If you do not change the value,
the default value is used. <li>When you are done filling in the form,
click the Save New NT
Person
button at the top of the form. To cancel the entry creation,
close the web browser window containing the form.</li>
  <li>After saving the entry, you can <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addmanager">add
values
to the Manager and Admin fields</a> or <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
a "See Also" value</a>.</li>
</ol>
<h2>
<a name="group"></a>Adding a Group</h2>
To add a new group entry, do the following:
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the Back button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>When you add a group to the directory, a form that
allows you to edit that group's data is displayed. This form is
displayed in
a new web browser window. You must supply a value for the required
field <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Name</a>.</li>
  <li>You can provide a value for the optional <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>
field now, or add it later.</li>
  <blockquote><b>Note:</b>
    <p>You cannot enter values into the Owner, Group Members,
or See Also fields until you have saved the entry.</p>
  </blockquote>
  <li>When you are done filling in the form, click the Save New Group
button
at the top of the form.</li>
  <br>
To cancel the entry creation, close the web browser window containing
the form. <li>After you have saved the entry, you can <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
values for the Owner, Group Member, and See Also fields</a>.</li>
</ol>
<h2>
<a name="NTgroup"></a>Adding an NT Group</h2>
To add a new NT group entry, do the following:
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the Back button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>When you add an NT-group to the directory, a form
that allows you to edit that group's data is displayed. This form is
contained
in a new web browser window. You must supply a value for the required
fields.
The required fields for an NT-group are:</li>
  <ul type="disc">
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#cn">Name</a></li>
    <li> <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#ntGroupId">NT
Group Name</a></li>
  </ul>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for an NT group are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#owner">Owner</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#uniqueMember">NT
Group Members</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a></td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <blockquote><b>Note:</b>
    <p>You cannot enter values into the Owner, NT Group Members,
or See Also fields until you have saved the entry.</p>
  </blockquote>
  <li>You may also change the value for the <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#NTGroupDelete">Delete
NT Group if Group Deleted</a> option.</li>
  <li>When you are done filling in the form, click the Save New Group
button
at the top of the form.</li>
  <br>
To cancel the entry creation, close the web browser window containing
the form. <li>After you save the entry, you can <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/mod.htm#addowner">add
values
for the NT Group Members, Owner, and See Also fields</a>.</li>
</ol>
<h2>
<a name="ou"></a>Adding an Organizational Unit</h2>
To add a new organizational unit entry, do the following:
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the "Back" button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>When you add an organizational unit to the directory, a form that
allows you to edit that organization's data is displayed. This
form is displayed in a new web browser window. You must supply
a value for the required field, <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#ou">Unit
Name</a>.</li>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for an organizational unit are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#l">Location</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>When you are done filling in the form, click the Save New Org.
Unit
button at the top of the form. To cancel the entry creation, close
the web browser window containing the form.</li>
</ol>
<h2><a name="dc"></a>Adding a Domain Component</h2>
To add a new domain entry, do the following:
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the Back button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>You must supply a value for the required field, <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#dc">dc</a>.</li>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for a domain are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#l">Location</a></td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a></td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>When you are done filling in the form, click the Save New dc
button
at the top of the form. To cancel the entry creation, close the
web browser window containing the form.</li>
</ol>
<h2><a name="o"></a>Adding an Organization</h2>
To add a new organization entry, do the following:
<ol>
  <li>Click the New Entry tab.</li>
  <li>Follow the steps outlined in the New Entry form. When you are
done
filling in this form, click Continue. To cancel the operation click
the Back button in your browser window.</li>
  <li>If you have not authenticated before you attempt to add a new
entry, or
if your authentication has expired, the Directory Server prompts you
to <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/auth.htm#userauth">authenticate</a>
before continuing.</li>
  <li>Adding an organization is supported only when you initially
populate
your
directory tree. The organization you add must match the organization
you specified in the Database Subtree field when you installed your
Directory Server. For example, if you specified a value of:</li>
  <pre>o=Example.com</pre>
to the Database Subtree field, then you must specify a value of:
  <pre>o=Example.com</pre>
when you add the organization. The Directory Server checks the add
operation to ensure that the directory entry can
exist with the database subtree. Any value other than:
  <pre>o=Example.com</pre>
clearly cannot reside under:
  <pre>o=Example.com</pre>
As a result, the Directory Server rejects the operation. <li>You must
supply a value for the required field, <a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#organizationName">Organization
Name</a>.</li>
  <li>You can provide values for the optional fields now, or add them
later.
The optional fields for an organization are:</li>
  <p> </p>
  <center>
  <table border="2">
    <tbody>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#description">Description</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#telephoneNumber">Phone</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#businessCategory">Business
Category</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#fax">Fax</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#l">Location</a>&nbsp;</td>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#postalAddress">Mailing
Address</a>&nbsp;</td>
      </tr>
      <tr>
        <td><a
 href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&amp;file=.MANUAL/attribut.htm#seeAlso">See
Also</a>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </tbody>
  </table>
  </center>
  <p> </p>
  <li>When you are done filling in the form, click the Save New Org.
button
at the top of the form. To cancel the entry creation, close the
web browser window containing the form.</li>
</ol>
</body>
</html>
